<?php
include_once(_DIR_TO_CLASS.'/c_page.php') ;
include_once(_DIR_EXT.'/rmt/i_mrt.php') ;
class c_page_cab_rmt extends c_page
{
 public $h1='Рабочее место техника' ;
 public $rec_TO=array() ;
 public $rec_MO=array() ;
 public $rec_personal=array() ;


 function set_head_tags()
 { parent::set_head_tags() ;
   $this->HEAD['css'][]=_PATH_TO_EXT.'/rmt/style.css' ;
   $this->HEAD['meta'][]=array('name'=>"viewport",'content'=>"width=device-width, initial-scale=1.0")  ;
 }

 function second_menu_config()
 { $this->second_menu['/cab/rmt/']=array('title'=>'ТО') ;
   $this->second_menu['/cab/rmt/check/tablet/']=array('title'=>'ТО - QR-code') ;
   $this->second_menu['/cab/rmt/check/tablet/car/']=array('title'=>'ТО по номеру авто') ;
   $this->second_menu['/cab/rmt/log/']=array('title'=>'Журнал') ;
 }

 function block_main()
 { $this->panel_hand_TO() ;
   $this->panel_list_TO() ;
 }

 function panel_hand_TO()
 { ?><div id="panel_hand_TO">
              <form >
                 <h2>Введите номер пропуска водителя</h2>
                 <div class="left">
                     <input type="text" name="propusk_driver" id="propusk_driver" value="" autocomplete="off" style="font-size: large;padding: 13px 6px;">&nbsp;&nbsp;&nbsp;
<!--                     <label><input type="radio" name="access_type" value="1" checked> ВЫЕЗД </label>&nbsp;&nbsp;&nbsp;-->
<!--                     <label><input type="radio" name="access_type" value="0"> ВЪЕЗД </label>&nbsp;&nbsp;&nbsp;-->
                     <div class="TO_buttons v2" cmd="rmt/start_check_to" mode="1"> Начать ТО</div>
                 </div>
              </form>
     </div>
     <div id="panel_PL_info"></div>
     <br>
     <?
 }

 function panel_list_TO()
 {
     include_once(_DIR_EXT.'/rmt/report_previous_to.php') ;
     $report_obj=new report_previous_to() ;
     $report_obj->setting() ;
     $report_obj->view() ;
 }

}

?>